<!DOCTYPE html>
<html lang="ar">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>إضافة شراء</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f4f4f4;
            text-align: right;
        }

        header {
            background-color: #333;
            color: #fff;
            padding: 15px;
            text-align: center;
        }

        main {
            padding: 20px;
        }

        form {
            max-width: 400px;
            margin: 0 auto;
        }

        label {
            display: block;
            margin-bottom: 8px;
        }

        input,
        textarea {
            width: 100%;
            padding: 10px;
            margin-bottom: 16px;
            box-sizing: border-box;
        }

        button {
            background-color: #4CAF50;
            color: #fff;
            padding: 10px 15px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }

        button:hover {
            background-color: #45a049;
        }

        /* لعرض الصورة المصغرة */
        #imagePreview {
            width: 100px;
            height: 100px;
            margin-bottom: 16px;
        }
    </style>
</head>
<body>
    <a href="h.php" style="position: fixed; top: 20px; left: 20px; background-color: #4CAF50; color: white; padding: 10px 15px; text-decoration: none; border-radius: 5px;">العودة إلى الصفحة الرئيسية</a>

    <header>
        <h1>إضافة شراء</h1>
    </header>

    <main>
        <form action="process_purchase.php" method="post" enctype="multipart/form-data">
            <label for="PurchaseDate">تاريخ الشراء:</label>
            <input type="date" name="PurchaseDate" required>

            <label for="BuyerName">اسم المشتري:</label>
            <input type="text" name="BuyerName" required>

            <label for="AmountSpent">المبلغ المصروف:</label>
            <input type="number" name="AmountSpent" required>

            <label for="Notes">ملاحظات:</label>
            <textarea name="Notes"></textarea>

            <label for="PurchaseImage">صورة الفاتورة:</label>
            <input type="file" name="PurchaseImage" accept="image/*" onchange="previewImage(event)" required>
            <img id="imagePreview" src="#" alt="صورة المعاينة">

            <button type="submit">حفظ</button>
        </form>
    </main>

    <script>
        function previewImage(event) {
            var reader = new FileReader();
            reader.onload = function(){
                var output = document.getElementById('imagePreview');
                output.src = reader.result;
            }
            reader.readAsDataURL(event.target.files[0]);
        }
    </script>
</body>
</html>
